Index: main/plugin-core-impl/src/org/ametys/plugins/core/impl/group/ldap/AbstractLDAPGroupsManager.java
===================================================================
--- main/plugin-core-impl/src/org/ametys/plugins/core/impl/group/ldap/AbstractLDAPGroupsManager.java	(revision 38980)
+++ main/plugin-core-impl/src/org/ametys/plugins/core/impl/group/ldap/AbstractLDAPGroupsManager.java	(working copy)
@@ -21,6 +21,7 @@
 import java.util.List;
 import java.util.Map;
 
+import org.apache.avalon.framework.configuration.Configurable;
 import org.apache.avalon.framework.configuration.Configuration;
 import org.apache.avalon.framework.configuration.ConfigurationException;
 import org.apache.cocoon.xml.XMLUtils;
@@ -36,7 +37,7 @@
 /**
  * This class is the base for groups manager using LDAP
  */
-public abstract class AbstractLDAPGroupsManager extends AbstractLDAPConnector implements GroupsManager
+public abstract class AbstractLDAPGroupsManager extends AbstractLDAPConnector implements GroupsManager, Configurable
 {
     /** The group DN relative to baseDN */
     protected String _groupsRelativeDN;
@@ -52,8 +53,6 @@
     @Override
     public void configure(Configuration configuration) throws ConfigurationException
     {
-        super.configure(configuration);
-        
         _groupsRelativeDN = _getConfigParameter(configuration, "RelativeDN");
         _groupsObjectFilter = _getFilter(configuration, "Filter");
         _groupsSearchScope = _getSearchScope(configuration, "SearchScope");
Index: main/plugin-core-impl/src/org/ametys/plugins/core/impl/right/profile/DefaultProfileBasedRightsManager.java
===================================================================
--- main/plugin-core-impl/src/org/ametys/plugins/core/impl/right/profile/DefaultProfileBasedRightsManager.java	(revision 38980)
+++ main/plugin-core-impl/src/org/ametys/plugins/core/impl/right/profile/DefaultProfileBasedRightsManager.java	(working copy)
@@ -69,6 +69,7 @@
 import org.ametys.core.user.User;
 import org.ametys.core.user.UserListener;
 import org.ametys.core.user.UsersManager;
+import org.ametys.runtime.config.Config;
 import org.ametys.runtime.i18n.I18nizableText;
 import org.ametys.runtime.request.RequestListener;
 import org.ametys.runtime.request.RequestListenerManager;
@@ -99,9 +100,9 @@
     /** The groups manager */
     protected GroupsManager _groupsManager;
 
-    /** The jdbc pool name */
-    protected String _poolName;
-
+    /** The id of the data source used */
+    protected String _dataSourceId;
+    
     /** The jdbc table name for profiles' list */
     protected String _tableProfile;
 
@@ -224,7 +225,7 @@
             throw new ConfigurationException(message, configuration);
         }
 
-        _poolName = poolName;
+        _dataSourceId = Config.getInstance().getValueAsString(poolName);
         _tableProfile = configuration.getChild("table-profile").getValue("Rights_Profile");
         _tableProfileRights = configuration.getChild("table-profile-rights").getValue("Rights_ProfileRights");
         _tableUserRights = configuration.getChild("table-profile-user").getValue("Rights_UserRights");
@@ -629,13 +630,11 @@
         {
             return new HashSet<>();
         }
-
-        Connection connection = ConnectionHelper.getConnection(_poolName);
-
+        
         PreparedStatement stmt = null;
         ResultSet rs = null;
 
-        try
+        try (Connection connection =  ConnectionHelper.getConnection(_dataSourceId);)
         {
             // On regarde d'abord parmi les droits affectés directement aux
             // utilisateurs
@@ -666,7 +665,6 @@
         {
             ConnectionHelper.cleanup(rs);
             ConnectionHelper.cleanup(stmt);
-            ConnectionHelper.cleanup(connection);
         }
 
         return profiles;
@@ -686,12 +684,10 @@
 
         Set<User> users = new HashSet<>();
 
-        Connection connection = ConnectionHelper.getConnection(_poolName);
-
         PreparedStatement stmt = null;
         ResultSet rs = null;
 
-        try
+        try (Connection connection =  ConnectionHelper.getConnection(_dataSourceId);)
         {
             String sql = "SELECT DISTINCT Login " + "FROM " + _tableUserRights + " WHERE Profile_Id = ? AND LOWER(Context) = ?";
 
@@ -729,7 +725,6 @@
         {
             ConnectionHelper.cleanup(rs);
             ConnectionHelper.cleanup(stmt);
-            ConnectionHelper.cleanup(connection);
         }
 
         return users;
@@ -749,12 +744,10 @@
 
         Set<Group> groups = new HashSet<>();
 
-        Connection connection = ConnectionHelper.getConnection(_poolName);
-
         PreparedStatement stmt = null;
         ResultSet rs = null;
 
-        try
+        try (Connection connection =  ConnectionHelper.getConnection(_dataSourceId);)
         {
             String sql = "SELECT DISTINCT Group_Id " + "FROM " + _tableGroupRights + " WHERE Profile_Id = ? AND LOWER(Context) = ? ";
 
@@ -792,7 +785,6 @@
         {
             ConnectionHelper.cleanup(rs);
             ConnectionHelper.cleanup(stmt);
-            ConnectionHelper.cleanup(connection);
         }
 
         return groups;
@@ -815,12 +807,10 @@
             return contexts;
         }
 
-        Connection connection = ConnectionHelper.getConnection(_poolName);
-
         PreparedStatement stmt = null;
         ResultSet rs = null;
 
-        try
+        try (Connection connection =  ConnectionHelper.getConnection(_dataSourceId);)
         {
             String sql = "SELECT UR.Context " + "FROM " + _tableUserRights + " UR WHERE UR.Login = ? AND UR.Profile_Id = ?";
 
@@ -853,7 +843,6 @@
         {
             ConnectionHelper.cleanup(rs);
             ConnectionHelper.cleanup(stmt);
-            ConnectionHelper.cleanup(connection);
         }
 
         return contexts;
@@ -912,12 +901,10 @@
 
         Set<String> profiles = new HashSet<>();
 
-        Connection connection = ConnectionHelper.getConnection(_poolName);
-
         PreparedStatement stmt = null;
         ResultSet rs = null;
 
-        try
+        try (Connection connection =  ConnectionHelper.getConnection(_dataSourceId);)
         {
             // On regarde d'abord parmi les droits affectés directement aux
             // utilisateurs
@@ -948,7 +935,6 @@
         {
             ConnectionHelper.cleanup(rs);
             ConnectionHelper.cleanup(stmt);
-            ConnectionHelper.cleanup(connection);
         }
 
         return profiles;
@@ -966,12 +952,10 @@
     {
         Set<String> contexts = new HashSet<>();
 
-        Connection connection = ConnectionHelper.getConnection(_poolName);
-
         PreparedStatement stmt = null;
         ResultSet rs = null;
 
-        try
+        try (Connection connection =  ConnectionHelper.getConnection(_dataSourceId);)
         {
             String sql = "SELECT GR.Context " + "FROM " + _tableGroupRights + " GR WHERE GR.Group_Id = ? AND GR.Profile_Id = ?";
 
@@ -1006,7 +990,6 @@
         {
             ConnectionHelper.cleanup(rs);
             ConnectionHelper.cleanup(stmt);
-            ConnectionHelper.cleanup(connection);
         }
 
         return contexts;
@@ -1017,11 +1000,10 @@
     {
         String lcContext = getFullContext (context);
 
-        Connection connection = ConnectionHelper.getConnection(_poolName);
-
         PreparedStatement stmt = null;
         ResultSet rs = null;
-        try
+
+        try (Connection connection =  ConnectionHelper.getConnection(_dataSourceId);)
         {
             // Check if already exists
             String sql = "SELECT Profile_Id FROM " + _tableUserRights + " WHERE Profile_Id=? and Login=? and Context=?";
@@ -1072,7 +1054,6 @@
         {
             ConnectionHelper.cleanup(rs);
             ConnectionHelper.cleanup(stmt);
-            ConnectionHelper.cleanup(connection);
         }
     }
 
@@ -1081,11 +1062,10 @@
     {
         String lcContext = getFullContext (context);
 
-        Connection connection = ConnectionHelper.getConnection(_poolName);
-
         PreparedStatement stmt = null;
         ResultSet rs = null;
-        try
+
+        try (Connection connection =  ConnectionHelper.getConnection(_dataSourceId);)
         {
             // Check if already exists
             String sql = "SELECT Profile_Id FROM " + _tableGroupRights + " WHERE Profile_Id=? and Group_Id=? and Context=?";
@@ -1136,7 +1116,6 @@
         {
             ConnectionHelper.cleanup(rs);
             ConnectionHelper.cleanup(stmt);
-            ConnectionHelper.cleanup(connection);
         }
     }
 
@@ -1145,11 +1124,9 @@
     {
         String lcContext = getFullContext (context);
 
-        Connection connection = ConnectionHelper.getConnection(_poolName);
-
         PreparedStatement stmt = null;
 
-        try
+        try (Connection connection =  ConnectionHelper.getConnection(_dataSourceId);)
         {
             // On regarde d'abord parmi les droits affectés directement aux
             // utilisateurs
@@ -1182,7 +1159,6 @@
         finally
         {
             ConnectionHelper.cleanup(stmt);
-            ConnectionHelper.cleanup(connection);
         }
     }
 
@@ -1191,11 +1167,9 @@
     {
         String lcContext = getFullContext (context);
 
-        Connection connection = ConnectionHelper.getConnection(_poolName);
-
         PreparedStatement stmt = null;
 
-        try
+        try (Connection connection =  ConnectionHelper.getConnection(_dataSourceId);)
         {
             // On regarde d'abord parmi les droits affectés directement aux
             // utilisateurs
@@ -1229,7 +1203,6 @@
         finally
         {
             ConnectionHelper.cleanup(stmt);
-            ConnectionHelper.cleanup(connection);
         }
     }
 
@@ -1239,9 +1212,7 @@
         String lcOldContext = getFullContext(oldContext);
         String lcNewContext = getFullContext(newContext);
 
-        Connection connection = ConnectionHelper.getConnection(_poolName);
-
-        try
+        try (Connection connection =  ConnectionHelper.getConnection(_dataSourceId);)
         {
             updateContext(lcOldContext, lcNewContext, connection);
         }
@@ -1250,10 +1221,6 @@
             getLogger().error("Error in sql query", ex);
             throw new RightsException("Error in sql query", ex);
         }
-        finally
-        {
-            ConnectionHelper.cleanup(connection);
-        }
     }
 
     @Override
@@ -1261,9 +1228,7 @@
     {
         String lcContext = getFullContext(context);
 
-        Connection connection = ConnectionHelper.getConnection(_poolName);
-
-        try
+        try (Connection connection =  ConnectionHelper.getConnection(_dataSourceId);)
         {
             removeAll(lcContext, connection);
         }
@@ -1272,10 +1237,6 @@
             getLogger().error("Error in sql query", ex);
             throw new RightsException("Error in sql query", ex);
         }
-        finally
-        {
-            ConnectionHelper.cleanup(connection);
-        }
     }
 
     @Override
@@ -1283,11 +1244,9 @@
     {
         String lcContext = getFullContext (context);
 
-        Connection connection = ConnectionHelper.getConnection(_poolName);
-
         PreparedStatement stmt = null;
 
-        try
+        try (Connection connection =  ConnectionHelper.getConnection(_dataSourceId);)
         {
             String sql = "DELETE FROM " + _tableGroupRights + " WHERE Group_Id = ? AND Profile_Id = ? AND LOWER(Context) = ?";
 
@@ -1318,7 +1277,6 @@
         finally
         {
             ConnectionHelper.cleanup(stmt);
-            ConnectionHelper.cleanup(connection);
         }
     }
 
@@ -1327,11 +1285,9 @@
     {
         String lcContext = getFullContext (context);
 
-        Connection connection = ConnectionHelper.getConnection(_poolName);
-
         PreparedStatement stmt = null;
 
-        try
+        try (Connection connection =  ConnectionHelper.getConnection(_dataSourceId);)
         {
             // On regarde d'abord parmi les droits affectés directement aux
             // utilisateurs
@@ -1366,7 +1322,6 @@
         finally
         {
             ConnectionHelper.cleanup(stmt);
-            ConnectionHelper.cleanup(connection);
         }
     }
 
@@ -1382,12 +1337,10 @@
 
         Set<User> users = new HashSet<>();
 
-        Connection connection = ConnectionHelper.getConnection(_poolName);
-
         PreparedStatement stmt = null;
         ResultSet rs = null;
 
-        try
+        try (Connection connection =  ConnectionHelper.getConnection(_dataSourceId);)
         {
             // On regarde d'abord parmi les droits affectés directement aux
             // utilisateurs
@@ -1421,7 +1374,6 @@
         {
             ConnectionHelper.cleanup(rs);
             ConnectionHelper.cleanup(stmt);
-            ConnectionHelper.cleanup(connection);
         }
 
         return users;
@@ -1440,12 +1392,10 @@
 
         Set<Group> groups = new HashSet<>();
 
-        Connection connection = ConnectionHelper.getConnection(_poolName);
-
         PreparedStatement stmt = null;
         ResultSet rs = null;
 
-        try
+        try (Connection connection =  ConnectionHelper.getConnection(_dataSourceId);)
         {
             // On regarde d'abord parmi les droits affectés directement aux
             // utilisateurs
@@ -1479,7 +1429,6 @@
         {
             ConnectionHelper.cleanup(rs);
             ConnectionHelper.cleanup(stmt);
-            ConnectionHelper.cleanup(connection);
         }
 
         return groups;
@@ -1596,11 +1545,10 @@
      */
     private RightResult hasUserOnlyRight(String login, String right) throws SQLException
     {
-        Connection connection = ConnectionHelper.getConnection(_poolName);
         PreparedStatement stmt = null;
         ResultSet rs = null;
 
-        try
+        try (Connection connection =  ConnectionHelper.getConnection(_dataSourceId);)
         {
             String sql = "SELECT UR.Login " + "FROM " + _tableProfileRights + " PR, " + _tableUserRights + " UR WHERE PR.Right_Id = ? " + "AND UR.Profile_Id = PR.Profile_Id " + "AND UR.Login = ?";
 
@@ -1628,7 +1576,6 @@
         {
             ConnectionHelper.cleanup(rs);
             ConnectionHelper.cleanup(stmt);
-            ConnectionHelper.cleanup(connection);
         }
     }
 
@@ -1668,11 +1615,10 @@
      */
     private RightResult hasUserOnlyRight(String login, String right, String context) throws SQLException
     {
-        Connection connection = ConnectionHelper.getConnection(_poolName);
         PreparedStatement stmt = null;
         ResultSet rs = null;
 
-        try
+        try (Connection connection =  ConnectionHelper.getConnection(_dataSourceId);)
         {
             String sql = buildSQLStatementForUser(context);
             stmt = connection.prepareStatement(sql);
@@ -1741,7 +1687,6 @@
         {
             ConnectionHelper.cleanup(rs);
             ConnectionHelper.cleanup(stmt);
-            ConnectionHelper.cleanup(connection);
         }
     }
 
@@ -1766,11 +1711,10 @@
     {
         Set<String> logins = new HashSet<>();
 
-        Connection connection = ConnectionHelper.getConnection(_poolName);
         PreparedStatement stmt = null;
         ResultSet rs = null;
 
-        try
+        try (Connection connection =  ConnectionHelper.getConnection(_dataSourceId);)
         {
             // On regarde d'abord parmi les droits affectés directement aux
             // utilisateurs
@@ -1806,7 +1750,6 @@
         {
             ConnectionHelper.cleanup(rs);
             ConnectionHelper.cleanup(stmt);
-            ConnectionHelper.cleanup(connection);
         }
     }
     
@@ -1814,11 +1757,10 @@
     {
         Set<String> logins = new HashSet<>();
         
-        Connection connection = ConnectionHelper.getConnection(_poolName);
         PreparedStatement stmt = null;
         ResultSet rs = null;
 
-        try
+        try (Connection connection =  ConnectionHelper.getConnection(_dataSourceId);)
         {
             // On regarde d'abord parmi les droits affectés directement aux
             // utilisateurs
@@ -1855,7 +1797,6 @@
         {
             ConnectionHelper.cleanup(rs);
             ConnectionHelper.cleanup(stmt);
-            ConnectionHelper.cleanup(connection);
         }
     }
     
@@ -1888,11 +1829,10 @@
             return rights;
         }
 
-        Connection connection = ConnectionHelper.getConnection(_poolName);
         PreparedStatement stmt = null;
         ResultSet rs = null;
 
-        try
+        try (Connection connection =  ConnectionHelper.getConnection(_dataSourceId);)
         {
             // On regarde d'abord parmi les droits affectés directement aux utilisateurs
             StringBuffer sql = new StringBuffer();
@@ -1935,7 +1875,6 @@
         {
             ConnectionHelper.cleanup(rs);
             ConnectionHelper.cleanup(stmt);
-            ConnectionHelper.cleanup(connection);
         }
     }
 
@@ -1962,11 +1901,10 @@
     private Map<String, Set<String>> _getUsersOnlyRightsFromDb(String login) throws SQLException
     {
         Map<String, Set<String>> rights = new HashMap<>();
-        Connection connection = ConnectionHelper.getConnection(_poolName);
         PreparedStatement stmt = null;
         ResultSet rs = null;
 
-        try
+        try (Connection connection =  ConnectionHelper.getConnection(_dataSourceId);)
         {
             // On regarde d'abord parmi les droits affectés directement aux utilisateurs
             StringBuffer sql = new StringBuffer();
@@ -2002,7 +1940,6 @@
         {
             ConnectionHelper.cleanup(rs);
             ConnectionHelper.cleanup(stmt);
-            ConnectionHelper.cleanup(connection);
         }
     }
 
@@ -2010,11 +1947,10 @@
     {
         Map<String, Set<String>> profiles = new HashMap<>();
 
-        Connection connection = ConnectionHelper.getConnection(_poolName);
         PreparedStatement stmt = null;
         ResultSet rs = null;
 
-        try
+        try (Connection connection =  ConnectionHelper.getConnection(_dataSourceId);)
         {
             // On regarde d'abord parmi les droits affectés directement aux utilisateurs
             StringBuffer sql = new StringBuffer();
@@ -2049,7 +1985,6 @@
         {
             ConnectionHelper.cleanup(rs);
             ConnectionHelper.cleanup(stmt);
-            ConnectionHelper.cleanup(connection);
         }
     }
 
@@ -2070,11 +2005,10 @@
      */
     private RightResult hasGroupOnlyRight(String login, String right) throws SQLException
     {
-        Connection connection = ConnectionHelper.getConnection(_poolName);
         PreparedStatement stmt = null;
         ResultSet rs = null;
 
-        try
+        try (Connection connection =  ConnectionHelper.getConnection(_dataSourceId);)
         {
             Set<String> groupsId = getGroupId(login);
             String groupSql = createGroupIdRequest(groupsId);
@@ -2108,7 +2042,6 @@
         {
             ConnectionHelper.cleanup(rs);
             ConnectionHelper.cleanup(stmt);
-            ConnectionHelper.cleanup(connection);
         }
     }
 
@@ -2147,11 +2080,10 @@
      */
     private RightResult hasGroupOnlyRight(String login, String right, String context) throws SQLException
     {
-        Connection connection = ConnectionHelper.getConnection(_poolName);
         PreparedStatement stmt = null;
         ResultSet rs = null;
 
-        try
+        try (Connection connection =  ConnectionHelper.getConnection(_dataSourceId);)
         {
             // Récupère la liste des groupes du user
             Set<String> groupsId = getGroupId(login);
@@ -2221,7 +2153,6 @@
         {
             ConnectionHelper.cleanup(rs);
             ConnectionHelper.cleanup(stmt);
-            ConnectionHelper.cleanup(connection);
         }
     }
 
@@ -2229,11 +2160,10 @@
     {
         Set<String> logins = new HashSet<>();
 
-        Connection connection = ConnectionHelper.getConnection(_poolName);
         PreparedStatement stmt = null;
         ResultSet rs = null;
 
-        try
+        try (Connection connection =  ConnectionHelper.getConnection(_dataSourceId);)
         {
             // Puis parmi les droits affectés aux groups auxquels appartient
             // l'utilisateur
@@ -2282,7 +2212,6 @@
         {
             ConnectionHelper.cleanup(rs);
             ConnectionHelper.cleanup(stmt);
-            ConnectionHelper.cleanup(connection);
         }
     }
     
@@ -2290,11 +2219,10 @@
     {
         Set<String> logins = new HashSet<>();
 
-        Connection connection = ConnectionHelper.getConnection(_poolName);
         PreparedStatement stmt = null;
         ResultSet rs = null;
 
-        try
+        try (Connection connection =  ConnectionHelper.getConnection(_dataSourceId);)
         {
             // Puis parmi les droits affectés aux groups auxquels appartient
             // l'utilisateur
@@ -2344,7 +2272,6 @@
         {
             ConnectionHelper.cleanup(rs);
             ConnectionHelper.cleanup(stmt);
-            ConnectionHelper.cleanup(connection);
         }
     }
 
@@ -2371,11 +2298,10 @@
     private Set<String> _getGroupsOnlyRightsFromDb(String login, String context) throws SQLException
     {
         Set<String> rights = new HashSet<>();
-        Connection connection = ConnectionHelper.getConnection(_poolName);
         PreparedStatement stmt = null;
         ResultSet rs = null;
 
-        try
+        try (Connection connection =  ConnectionHelper.getConnection(_dataSourceId);)
         {
             // Récupère la liste des groupes du user
             Set<String> userSGroup = _groupsManager.getUserGroups(login);
@@ -2447,7 +2373,6 @@
         {
             ConnectionHelper.cleanup(rs);
             ConnectionHelper.cleanup(stmt);
-            ConnectionHelper.cleanup(connection);
         }
     }
 
@@ -2474,11 +2399,10 @@
     private Map<String, Set<String>> _getGroupsOnlyRightsFromDb(String login) throws SQLException
     {
         Map<String, Set<String>> rights = new HashMap<>();
-        Connection connection = ConnectionHelper.getConnection(_poolName);
         PreparedStatement stmt = null;
         ResultSet rs = null;
 
-        try
+        try (Connection connection =  ConnectionHelper.getConnection(_dataSourceId);)
         {
             // Récupère la liste des groupes du user
             Set<String> userSGroup = _groupsManager.getUserGroups(login);
@@ -2543,7 +2467,6 @@
         {
             ConnectionHelper.cleanup(rs);
             ConnectionHelper.cleanup(stmt);
-            ConnectionHelper.cleanup(connection);
         }
     }
 
@@ -2551,11 +2474,10 @@
     {
         Map<String, Set<String>> profiles = new HashMap<>();
 
-        Connection connection = ConnectionHelper.getConnection(_poolName);
         PreparedStatement stmt = null;
         ResultSet rs = null;
 
-        try
+        try (Connection connection =  ConnectionHelper.getConnection(_dataSourceId);)
         {
             // Récupère la liste des groupes du user
             Set<String> userSGroup = _groupsManager.getUserGroups(login);
@@ -2618,7 +2540,6 @@
         {
             ConnectionHelper.cleanup(rs);
             ConnectionHelper.cleanup(stmt);
-            ConnectionHelper.cleanup(connection);
         }
     }
 
@@ -3034,13 +2955,11 @@
     @Override
     public Profile getProfile(String id)
     {
-        Connection connection = null;
         PreparedStatement statement = null;
         ResultSet rs = null;
 
-        try
+        try (Connection connection =  ConnectionHelper.getConnection(_dataSourceId);)
         {
-            connection = ConnectionHelper.getConnection(_poolName);
             statement = connection.prepareStatement("SELECT Label, Context FROM " + _tableProfile + " WHERE Id = ?");
             statement.setInt(1, Integer.parseInt(id));
 
@@ -3063,7 +2982,6 @@
         {
             ConnectionHelper.cleanup(rs);
             ConnectionHelper.cleanup(statement);
-            ConnectionHelper.cleanup(connection);
         }
     }
 
@@ -3078,13 +2996,11 @@
     {
         Integer id = null;
 
-        Connection connection = null;
         PreparedStatement statement = null;
         ResultSet rs = null;
 
-        try
+        try (Connection connection =  ConnectionHelper.getConnection(_dataSourceId);)
         {
-            connection = ConnectionHelper.getConnection(_poolName);
             DatabaseType dbType = ConnectionHelper.getDatabaseType(connection);
 
             if (dbType == DatabaseType.DATABASE_ORACLE || dbType == DatabaseType.DATABASE_POSTGRES)
@@ -3175,7 +3091,6 @@
         {
             ConnectionHelper.cleanup(rs);
             ConnectionHelper.cleanup(statement);
-            ConnectionHelper.cleanup(connection);
         }
 
         if (id == null)
@@ -3197,13 +3112,11 @@
     {
         Set<Profile> profiles = new HashSet<>();
 
-        Connection connection = null;
         PreparedStatement stmt = null;
         ResultSet rs = null;
 
-        try
+        try (Connection connection =  ConnectionHelper.getConnection(_dataSourceId);)
         {
-            connection = ConnectionHelper.getConnection(_poolName);
             if (context == null)
             {
                 stmt = connection.prepareStatement("SELECT Id, Label FROM " + _tableProfile + " WHERE Context is null");
@@ -3231,7 +3144,6 @@
         {
             ConnectionHelper.cleanup(rs);
             ConnectionHelper.cleanup(stmt);
-            ConnectionHelper.cleanup(connection);
         }
 
         return profiles;
@@ -3242,13 +3154,11 @@
     {
         Set<Profile> profiles = new HashSet<>();
 
-        Connection connection = null;
         Statement stmt = null;
         ResultSet rs = null;
 
-        try
+        try (Connection connection =  ConnectionHelper.getConnection(_dataSourceId);)
         {
-            connection = ConnectionHelper.getConnection(_poolName);
             stmt = connection.createStatement();
             rs = stmt.executeQuery("SELECT Id, Label, Context FROM " + _tableProfile);
 
@@ -3268,7 +3178,6 @@
         {
             ConnectionHelper.cleanup(rs);
             ConnectionHelper.cleanup(stmt);
-            ConnectionHelper.cleanup(connection);
         }
 
         return profiles;
@@ -3456,9 +3365,10 @@
         @Override
         public void rename(String newName)
         {
-            Connection connection = ConnectionHelper.getConnection(_poolName);
+            PreparedStatement stmt = null;
+            ResultSet rs = null;
 
-            try
+            try (Connection connection =  ConnectionHelper.getConnection(_dataSourceId);)
             {
                 PreparedStatement statement = connection.prepareStatement("UPDATE " + _tableProfile + " SET label = ? WHERE Id = ?");
                 statement.setString(1, newName);
@@ -3473,10 +3383,6 @@
             {
                 throw new RuntimeException(ex);
             }
-            finally
-            {
-                ConnectionHelper.cleanup(connection);
-            }
         }
 
         @Override
@@ -3484,13 +3390,13 @@
         {
             Set<String> rights = new HashSet<>();
 
-            Connection connection = ConnectionHelper.getConnection(_poolName);
+            ResultSet rs = null;
 
-            try
+            try (Connection connection =  ConnectionHelper.getConnection(_dataSourceId);)
             {
                 PreparedStatement statement = connection.prepareStatement("SELECT Right_Id FROM " + _tableProfileRights + " WHERE profile_Id = ?");
                 statement.setInt(1, Integer.parseInt(_id));
-                ResultSet rs = statement.executeQuery();
+                rs = statement.executeQuery();
 
                 while (rs.next())
                 {
@@ -3502,9 +3408,9 @@
             {
                 throw new RuntimeException(ex);
             }
-            finally
+            finally 
             {
-                ConnectionHelper.cleanup(connection);
+                ConnectionHelper.cleanup(rs);
             }
 
             return rights;
@@ -3537,15 +3443,13 @@
         @Override
         public void remove()
         {
-            Connection connection = null;
             PreparedStatement statement = null;
             PreparedStatement statement2 = null;
             PreparedStatement statement3 = null;
             PreparedStatement statement4 = null;
 
-            try
+            try (Connection connection =  ConnectionHelper.getConnection(_dataSourceId);)
             {
-                connection = ConnectionHelper.getConnection(_poolName);
 
                 statement = connection.prepareStatement("DELETE FROM " + _tableProfile + " WHERE Id = ?");
                 statement.setInt(1, Integer.parseInt(_id));
@@ -3573,7 +3477,6 @@
                 ConnectionHelper.cleanup(statement2);
                 ConnectionHelper.cleanup(statement3);
                 ConnectionHelper.cleanup(statement4);
-                ConnectionHelper.cleanup(connection);
             }
 
         }
@@ -3581,7 +3484,7 @@
         @Override
         public void startUpdate()
         {
-            _currentConnection = ConnectionHelper.getConnection(_poolName);
+            _currentConnection = ConnectionHelper.getConnection(_dataSourceId);
 
             try
             {
@@ -3632,7 +3535,7 @@
             }
             else
             {
-                return ConnectionHelper.getConnection(_poolName);
+                return ConnectionHelper.getConnection(_dataSourceId);
             }
         }
 
Index: main/plugin-core-impl/src/org/ametys/plugins/core/impl/right/profile/HierarchicalProfileBasedRightsManager.java
===================================================================
--- main/plugin-core-impl/src/org/ametys/plugins/core/impl/right/profile/HierarchicalProfileBasedRightsManager.java	(revision 38980)
+++ main/plugin-core-impl/src/org/ametys/plugins/core/impl/right/profile/HierarchicalProfileBasedRightsManager.java	(working copy)
@@ -199,7 +199,7 @@
         String lcOldContext = getFullContext(oldContext);
         String lcNewContext = getFullContext(newContext);
         
-        Connection connection = ConnectionHelper.getConnection(_poolName);
+        Connection connection = ConnectionHelper.getConnection(_dataSourceId);
         
         try
         {
@@ -241,7 +241,7 @@
     {
         String lcContext = getFullContext(context);
         
-        Connection connection = ConnectionHelper.getConnection(_poolName);
+        Connection connection = ConnectionHelper.getConnection(_dataSourceId);
         
         try
         {
